/// <amd-module name="@typedorm/common/src/helpers/require-only-one-type" />
import { InvalidType } from './invalid-type';
declare type InternalPickOne<T, Keys extends keyof T> = {
    [K in Keys]: Required<Pick<T, K>> & Partial<Record<Exclude<Keys, K>, InvalidType<T>>>;
}[Keys];
export declare type RequireOnlyOne<T, Keys extends keyof T = keyof T> = Omit<T, Keys> & InternalPickOne<T, Keys>;
export {};
